Package org.gradle.api.plugins.antlr

## Interface AntlrSourceDirectorySet

- All Superinterfaces:
    `AntBuilderAware`, `Buildable`, `Describable`, `FileCollection`, `FileTree`, `Iterable<File>`, `Named`, `PatternFilterable`, `SourceDirectorySet`

      @Incubating
      public interface AntlrSourceDirectorySet
      extends SourceDirectorySet

  Contract for a Gradle extension that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various `source sets`.
  Since:
    7.1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

      `FileCollection.AntType`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Describable

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.api.file.FileCollection

      `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsPath, getElements, getSingleFile, isEmpty, minus, plus`

    - ### Methods inherited from interface org.gradle.api.file.FileTree

      `getAsFileTree, getFiles, matching, matching, matching, plus, visit, visit, visit`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.gradle.api.tasks.util.PatternFilterable

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes`

    - ### Methods inherited from interface org.gradle.api.file.SourceDirectorySet

      `compiledBy, getClassesDirectory, getDestinationDirectory, getFilter, getName, getOutputDir, getSourceDirectories, getSrcDirs, getSrcDirTrees, setOutputDir, setOutputDir, setSrcDirs, source, srcDir, srcDirs`